// Example code to get a stepper to run on the Adafruit motorshield
// Send any questions to Constantino: constantino@photocs.net
// http://www.photocs.net


#include <Stepper.h>

long timeDelay = 900; // this variable controls speed; its the time (in microseconds) since the last step after which another step should occur.  adjust to the specs of your stepper
boolean dir = false; // controls the direction of spin

Stepper motor(2); // let's declare a motor on motor ports 3 & 4

void setup() {
  Serial.begin(9600);
  Serial.println("Yay steppers work on the Due!");
  motor.enable(); // get the motor ready
}


void loop() {
  motor.stepOne(dir, timeDelay); // let's keep looping through the step function!
}


